Gestiono
Referencia de APIAccounting / Beneficiary

Create Beneficiary balance topup

← Back to full API reference
POST/v1/beneficiary/balance/topupAuth required
  • Requires organization permissions for this resource.
  • Validated by Zod schema: topupBeneficiaryBalance.

Request details

Body fields

FieldRequiredDescription
beneficiaryIdYesType: number
divisionIdYesType: number
amountYesType: number
currencyYesEnum-like validator generated by zodFromObj
paymentMethodYesType: enumExample: CASH
accountIdYesType: number
referenceNoType: string
descriptionNoType: string
dateNoType: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "beneficiaryId": 1,
  "divisionId": 1,
  "amount": 1,
  "currency": "string",
  "paymentMethod": "CASH",
  "accountId": 1
}

Sample response

json
{
  "recordId": "<recordId>",
  "balance": "<balance>"
}